%define major 2
%define minor 2

%define realname QGLViewer

%define libname %mklibname %{realname} %{major}
%define libnamedev %mklibname %{realname} -d


Name:		libQGLViewer
Version:	%{major}.%{minor}.6
Release:	%mkrel 2
Summary:	Qt based OpenGL generic 3D viewer library
License:	GPL
Group:		System/Libraries
Source:		http://artis.imag.fr/Members/Gilles.Debunne/QGLViewer/src/%{name}-%{version}-1.tar.gz
URL:		http://artis.imag.fr/Members/Gilles.Debunne/QGLViewer
Buildroot:      %{_tmppath}/%{name}-%{version}-buildroot

BuildRequires: qt3-devel
BuildRequires: MesaGLU-devel

%description
A versatile 3D viewer library for 3D application development.
Features many useful classical functionalities such as a camera trackball,
screenshot savings, stereo display, (hierarchical) frames that can be moved
with the mouse, keyFrame interpolator...

%package -n %libname
Summary:        Qt based OpenGL generic 3D viewer library
License:        GPL
Group:          System/Libraries
Provides:	lib%{realname} = %{version}-%{release}
Obsoletes:	%mklibname %{realname} 1 3
Obsoletes:	lib%{realname} < %{version}

%description  -n %libname
A versatile 3D viewer library for 3D application development.
Features many useful classical functionalities such as a camera trackball,
screenshot savings, stereo display, (hierarchical) frames that can be moved
with the mouse, keyFrame interpolator...

%package -n %libnamedev
Summary: The libQGLViewer header files, documentation and examples
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: %{realname}-devel = %{version}-%{release}
Obsoletes: %mklibname -d %{realname} 1 3

%description -n %libnamedev
This package contains the header files for libQGLViewer.
Install this package if you want to develop programs that uses 
libQGLViewer. A reference documentation and pedagogical
examples are included. 

%prep
%setup -q -n %{name}-%{version}-1
  
%build
cd %{realname}

%{qt3dir}/bin/qmake LIB_DIR=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT
cd %{realname}
make install INSTALL_ROOT=%{buildroot}

# fwang: remove unused files
rm -f %{buildroot}%{_libdir}/*.prl

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root)
%doc CHANGELOG LICENCE README
%{_libdir}/*.so.*

%files -n %libnamedev
%defattr(-,root,root)
%dir %{_includedir}/%{realname}
%{_includedir}/%{realname}
%{_libdir}/*.so

%doc %{_docdir}/%{realname}


%changelog
* Sat Jul 21 2007 Funda Wang <fundawang@mandriva.org> 2.2.6-2mdv2008.0
+ Revision: 54197
- fix build on x86_64
- fix file list
- get rid of useless detection of qt3
- New version
- Import libQGLViewer



* Wed Dec 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.9-3mdk
- Fix BuildRequires

* Wed Dec 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.9-2mdk
- Fix BuildRequires
- use mkrel

* Wed Dec 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.3.9-1mdk
- 1.3.9
- and from Gilles Debunne <Gilles.Debunne@imag.fr>
	- - Minor bug fixes. Better MouseGrabber and MultiView examples. New sizeHint() method.

* Thu Sep 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.3.8-3mdk
- rebuild

* Tue Jul 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.3.8-2mdk
- from Gilles Debunne <Gilles.Debunne@imag.fr> : 
	- QAccel abandonned for key bindings. Library installed in /usr/lib instead of /usr/local/lib.


* Tue Jun 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.3.8-1mdk
- 1.3.8

* Thu Feb 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.3.6-1mdk
- from Gilles Debunne <Gilles.Debunne@imag.fr> :
	- Signal mechanism modified, MouseMotion renamed MouseAction, new project URL.

* Wed Jul 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.3.4-1mdk
- from Gilles Debunne <Gilles.Debunne@imag.fr> : 
	- Mouse bindings configuration

* Wed Jun 25 2003 Gilles Debunne <Gilles.Debunne@imag.fr> 1.3.3-1
- Doxygen search engine, FAQ page, Z-buffer display, constraints in KFI.

* Mon May 5 2003 Gilles Debunne <Gilles.Debunne@imag.fr> 1.3.2-2
- /usr/lib changed to /usr/local/lib

* Thu Apr 17 2003 Gilles Debunne <Gilles.Debunne@imag.fr> 1.3.2-1
- help() uses popup windows. DLL created for windows.

* Wed Apr 10 2003 Gilles Debunne <Gilles.Debunne@imag.fr> 1.3.1-1
- A ManipulatedCameraFrame class. double in Quaternion.

* Wed Mar 26 2003 Gilles Debunne <Gilles.Debunne@imag.fr> 1.3.0-1
- Many changes in the API. Documentation updated. A new MouseGrabber class.

* Wed Mar 19 2003 Gilles Debunne <Gilles.Debunne@imag.fr> 1.2.9-3
- ORTHO camera improvements, better default help().

* Wed Mar 5 2003 Gilles Debunne <Gilles.Debunne@imag.fr> 1.2.9-2
- Slerp interpolation fixed. Tiny Camera matrix improvements.

* Wed Feb 26 2003 Gilles Debunne <Gilles.Debunne@imag.fr> 1.2.9-1
- No more camera referenceFrame, slerp interpolation and new install paths.

* Wed Jan 29 2003 Gilles Debunne <Gilles.Debunne@imag.fr> 1.2.8-3
- pixelGLRatio function, minor changes.

* Wed Jan 22 2003 Gilles Debunne <Gilles.Debunne@imag.fr> 1.2.8-2
- Minor bug fixes. GL state saving optimized.

* Wed Jan 15 2003 Gilles Debunne <Gilles.Debunne@imag.fr> 1.2.8-1
- SPECIAL key disappears. New trackball features.

* Thu Dec 12 2002 Gilles Debunne <Gilles.Debunne@imag.fr> 1.2.7-2
- Minor improvements, draw3DText. Mac and Windows compatible release.
- Documentation and examples added to the distribution.

* Wed Dec 4 2002 Gilles Debunne <Gilles.Debunne@imag.fr> 1.2.7-1
- KeyFrameInterpolator and EPSRender. Bug fixes and new trackball

* Thu Sep 10 2002 Gilles Debunne <Gilles.Debunne@imag.fr> 1.2.6-1
- New features and bug fixes. See CHANGELOG for details. Cleaner spec.

* Thu Jul 25 2002 Xavier Decoret <Xavier.Decoret@imag.fr> 1.2.5-2
- Links with qt-mt (multithread) so it works fine with Mandrake libqt3-devel
- fix the spec file: files were copied in /usr directories during rebuild!

* Tue Jul 16 2002 Gilles Debunne <Gilles.Debunne@imag.fr> 1.2.5-1
- First rpm release
